Create evaluation for a run
curl --request POST \
--url https://api.example.com/v1/run/{id}/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evaluation_label_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": 123,
"output_name": "<string>",
"field_path": "<string>"
}
'import requests
url = "https://api.example.com/v1/run/{id}/evaluations"
payload = {
"evaluation_label_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": 123,
"output_name": "<string>",
"field_path": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evaluation_label_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
value: 123,
output_name: '<string>',
field_path: '<string>'
})
};
fetch('https://api.example.com/v1/run/{id}/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "<string>",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evaluation_label_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": 123,
"created_at": "2023-11-07T05:31:56Z",
"output_name": "<string>",
"field_path": "<string>",
"created_by": "<string>",
"created_by_evaluator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}Run Evaluations
Create Run Evaluation
Create a new evaluation for a run
POST
/
v1
/
run
/
{id}
/
evaluations
Create evaluation for a run
Create a new evaluation for a specific run. The evaluation must be associated with an evaluation label that defines the type and constraints of the evaluation value.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the run
Body
application/json
Response
Evaluation created successfully
Unique identifier for the run evaluation
ID of the account that owns this evaluation
ID of the run being evaluated
ID of the evaluation label used
The evaluation value
When the evaluation was created
Name of the output being evaluated
JSON path to the specific field being evaluated
ID of the user who created the evaluation
ID of the evaluator that created this evaluation
ID of the user who last updated the evaluation
When the evaluation was last updated

